#!/usr/bin/env python
# -*- coding: utf-8 -*-
import json

from gep.api.util.ApiRequest import ApiRequest

if __name__ == '__main__':
    path = "/api/agent/user/certification-edit"

    # 创建 dataContentMap 字典
    data_content_map = {
        "userNo": "5181240322000274308",
        "userType": "2",  # 1-境内个人 2-境内企业 3-香港企业 5-其他地区企业
        "callBackUrl": "http://10.0.60.55:8083/gep-agent-demo-java/Notify/agent"
    }

    # 创建 informationMap 字典
    information_map = {}

    # 根据用户类型填充 informationMap
    if data_content_map["userType"] == "1":  # 1-境内个人
        information_map = {
            "idFront": 13331433,
            "idReverse": 13331435,
            "idHold": 13331436,
            "idNo": "421000195710071340",
            "name": "木木",
            "legalCertExpiryDate": "9999-01-01",
            "birthDate": "2000-01-01",
            "province": "210000_辽宁省",
            "city": "210200_大连市",
            "area": "210202_中山区",
            "address": "市区",
            "postCode": ""
        }
    elif data_content_map["userType"] == "2":  # 2-境内企业
        information_map = {
            "license": 13331433,
            "licenseNo": "913101045680189677",
            "name": "全球有限互联公司",
            "enName": "QU QIU YOU XIAN HU LIAN",
            "companyType": "有限责任公司",
            "registerProvince": "210000_辽宁省",
            "registerCity": "210200_大连市",
            "registerArea": "210202_中山区",
            "registerAddress": "某个地方",
            "legalRepresentative": "阿木木",
            "registerAmt": "100",
            "registerCcy": "CNY",
            "registerDate": "2000-01-01",
            "endDate": "9999-01-01",
            "managementScope": "经营范围",
            "province": "210000_辽宁省",
            "city": "210200_大连市",
            "area": "210202_中山区",
            "address": "某个地方",
            "industryId": "0313",
            "economyId": "159",
            "legalIdType": "2",
            "legalIdFront": 13331435,
            "legalIdReverse": None,
            "legalIdHold": 13331436,
            "legalIdNo": "421000195710071340",
            "legalName": "阿木木",
            "legalBirthDate": "2000-01-01",
            "legalCertExpiryDate": "9999-01-01",
            "legalProvince": "210000_辽宁省",
            "legalCity": "210200_大连市",
            "legalArea": "210202_中山区",
            "legalAddress": "一个村庄",
            "legalCountryCode": "CHN",
            "beneficiaryIdType": [1],
            "beneficiaryIdFront": [13331435],
            "beneficiaryIdReverse": [13331436],
            "beneficiaryIdNo": ["421000195710071340"],
            "beneficiaryName": ["阿木木"],
            "beneficiaryBirthDate": ["2000-01-01"],
            "beneficiaryCertExpiryDate": ["9999-01-01"],
            "beneficiaryProvince": ["210000_辽宁省"],
            "beneficiaryCity": ["210200_大连市"],
            "beneficiaryArea": [None],
            "beneficiaryAddress": ["一个村庄"],
            "beneficiaryShareholderRatio": [100],
            "beneficiaryCountry": ["CHN"]
        }
    elif data_content_map["userType"] == "3":  # 3-香港企业
        information_map = {
            "businessRegister": 13331433,
            "declarationForm": 13331433,
            "incorporationForm": 13331433,
            "orgRegister": 13331433,
            "stockCertificate": 13331433,
            "name": "全球有限互联公司",
            "enName": "QU QIU YOU XIAN HU LIAN",
            "orgRegisterNo": "11000001",
            "businessRegisterNo": "11000002",
            "businessRegisterExpiryDate": "2025-06-01",
            "registerDate": "2000-01-01",
            "registerAmt": "100",
            "registerProvince": "210000_辽宁省",
            "registerCity": "210200_大连市",
            "registerArea": "210202_中山区",
            "registerAddress": "某个地方",
            "province": "210000_辽宁省",
            "city": "210200_大连市",
            "area": "210202_中山区",
            "address": "某个地方",
            "directorIdType": "1",
            "directorIdFront": 13331433,
            "directorIdReverse": 13331433,
            "directorIdHold": 13331433,
            "directorIdNo": "421000195710071340",
            "directorName": "阿木木",
            "directorBirthDate": "1988-06-06",
            "directorCertExpiryDate": "2042-01-01",
            "directorProvince": "210000_辽宁省",
            "directorCity": "210200_大连市",
            "directorArea": "210202_中山区",
            "directorAddress": "某个地方",
            "directorCountryCode": "CHN",
            "beneficiaryIdType": [1],
            "beneficiaryIdFront": [13331435],
            "beneficiaryIdReverse": [13331436],
            "beneficiaryIdNo": ["421000195710071340"],
            "beneficiaryName": ["阿木木"],
            "beneficiaryBirthDate": ["2000-01-01"],
            "beneficiaryCertExpiryDate": ["2050-01-01"],
            "beneficiaryProvince": ["210000_辽宁省"],
            "beneficiaryCity": ["210200_大连市"],
            "beneficiaryArea": [None],
            "beneficiaryAddress": ["一个村庄"],
            "beneficiaryShareholderRatio": [100],
            "beneficiaryCountry": ["CHN"]
        }
    elif data_content_map["userType"] == "5":  # 5-其他地区企业
        information_map = {
            "orgRegister": 123123,
            "otherAccessories": 123123,
            "registerCountry": "USA",
            "name": "全球有限互联公司",
            "enName": "QU QIU YOU XIAN HU LIAN",
            "orgRegisterNo": "11000001",
            "registerDate": "2000-01-01",
            "registerAmt": "100",
            "registerProvince": "210000_辽宁省",
            "registerCity": "210200_大连市",
            "registerArea": "210202_中山区",
            "registerAddress": "某个地方",
            "province": "210000_辽宁省",
            "city": "210200_大连市",
            "area": "210202_中山区",
            "address": "某个地方",
            "postCode": "12345",
            "directorIdType": [1],
            "directorIdFront": [13331433],
            "directorIdReverse": [13331433],
            "directorIdHold": [13331433],
            "directorIdNo": ["421000195710071340"],
            "directorName": ["阿木木"],
            "directorBirthDate": ["1988-06-06"],
            "directorCertExpiryDate": ["2042-01-01"],
            "directorProvince": ["210000_辽宁省"],
            "directorCity": ["210200_大连市"],
            "directorArea": ["210202_中山区"],
            "directorAddress": ["某个地方"],
            "directorCountryCode": ["CHN"],
            "beneficiaryIdType": [1],
            "beneficiaryIdFront": [13331435],
            "beneficiaryIdReverse": [13331436],
            "beneficiaryIdNo": ["421000195710071340"],
            "beneficiaryName": ["阿木木"],
            "beneficiaryBirthDate": ["2000-01-01"],
            "beneficiaryCertExpiryDate": ["2050-01-01"],
            "beneficiaryProvince": ["210000_辽宁省"],
            "beneficiaryCity": ["210200_大连市"],
            "beneficiaryArea": [None],
            "beneficiaryAddress": ["一个村庄"],
            "beneficiaryShareholderRatio": [100],
            "beneficiaryCountry": ["CHN"]
        }

    # 将 informationMap 转换为 JSON 字符串并添加到 dataContentMap
    data_content_map["information"] = json.dumps(information_map, ensure_ascii=False)

    client = ApiRequest()
    client.execute(path, data_content_map)