# -*- coding: utf-8 -*-
import hashlib

from gep.api.util.StringUtils import get_mime_type

class FileItem(object):

    def __init__(self, file_name=None, file_content=None, mime_type=None, file_md5=None):
        self._file_name = file_name
        self._file_content = file_content
        self._mime_type = mime_type
        self._file_md5 = file_md5

    def get_file_name(self):
        return self._file_name

    def get_file_content(self):
        return self._file_content

    def get_mime_type(self):
        if not self._mime_type:
            self._mime_type = get_mime_type(self.get_file_content())
        return self._mime_type

    def get_file_md5(self):
        if self.get_file_content():
            md5_hash = hashlib.md5()
            md5_hash.update(self.get_file_content())
            self._file_md5 = md5_hash.hexdigest()
        return self._file_md5

if __name__ == '__main__':
    f = open("D:/GEP/GEP-WORK/test.jpg", "rb")
    fileItem = FileItem(file_name="test.jpg", file_content=f.read())
    f.close()
    print(fileItem.get_file_name())
    print(fileItem.get_file_md5())